Bug 249485 - sysutils/restic: Update to 0.10.0
Summary: sysutils/restic: Update to 0.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/restic/restic/rele...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-20 17:38 UTC by Massimo Lusetti
Modified: 2020-10-18 19:37 UTC (History)
2 users (show)

See Also:
fernape: merge-quarterly+


Attachments
svn patch for 0.10.0 upgrade (856 bytes, patch)
2020-09-20 17:38 UTC, Massimo Lusetti
no flags Details | Diff
patch with MATSTER_SITES specified as requested. (16.69 KB, patch)
2020-10-18 15:26 UTC, Massimo Lusetti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Massimo Lusetti 2020-09-20 17:38:51 UTC
Created attachment 218111 [details]
svn patch for 0.10.0 upgrade

Update to the latest version from repo
Comment 1 Bugzilla Automation freebsd_committer 2020-09-20 17:38:51 UTC
Maintainer informed via mail
Comment 2 daniel.engberg.lists 2020-09-20 19:25:07 UTC
Can we use upstream release archive/tarball as suggested by 5.4.3 in Porter's Handbook?
https://github.com/restic/restic/releases/tag/v0.10.0 --> https://github.com/restic/restic/releases/download/v0.10.0/restic-0.10.0.tar.gz

Also set tar URL as URL in PR

Best regards,
Daniel
Comment 3 daniel.engberg.lists 2020-09-21 05:36:16 UTC
Err...
It shuld say Set the release URL as URL in PR
Sorry bout that.

Best regards,
Daniel
Comment 4 Fernando Apesteguía freebsd_committer 2020-09-23 07:22:05 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A: patch did not apply cleanly. Would you mind checking it?

Patch contains CRLF terminators. If you pasted it in bugzilla try to upload it as an attachment.


Thanks!
Comment 5 Fernando Apesteguía freebsd_committer 2020-09-23 14:18:49 UTC
Does not build.

===>  Building restic from ./cmd/restic
cmd/restic/cmd_mount.go:19:2: cannot find package "." in:
        /wrkdirs/usr/ports/sysutils/restic/work/restic-0.10.0/vendor/bazil.org/fuse
cmd/restic/cmd_mount.go:20:2: cannot find package "." in:
        /wrkdirs/usr/ports/sysutils/restic/work/restic-0.10.0/vendor/bazil.org/fuse/fs
internal/backend/azure/azure.go:13:2: cannot find package "." in:
        /wrkdirs/usr/ports/sysutils/restic/work/restic-0.10.0/vendor/github.com/Azure/azure-sdk-for-go/storage
internal/backend/backend_retry.go:9:2: cannot find package "." in:
        /wrkdirs/usr/ports/sysutils/restic/work/restic-0.10.0/vendor/github.com/cenkalti/backoff
...
...

Massimo, would you mind having a look?

Thanks!
Comment 6 Massimo Lusetti 2020-10-17 16:24:33 UTC
(In reply to daniel.engberg.lists from comment #2)

Hi, thanks for the pointer but I don't get what you're referring to.

To me the port has all default GH_* vars correctly pointing to the right location.

I'm willing to change this to the correct url but don't get what you're telling me.

Thanks.
Comment 7 daniel.engberg.lists 2020-10-17 17:43:07 UTC
(In reply to Massimo Lusetti from comment #6)

Sorry for being unclear, isn't it possible to use https://github.com/restic/restic/releases/download/v0.10.0/restic-0.10.0.tar.gz instead of USE_GITHUB ?

Best regards,
Daniel
Comment 8 Massimo Lusetti 2020-10-18 14:30:42 UTC
(In reply to daniel.engberg.lists from comment #7)

Thanks for the clarification, but how can I remove USE_GITHUB and keep using gomod-vendor as this ports need to to compile?

As previous comments from  Fernando Apesteguía shows ...
Comment 9 Massimo Lusetti 2020-10-18 15:22:33 UTC
(In reply to daniel.engberg.lists from comment #7)
Comment 10 Massimo Lusetti 2020-10-18 15:26:45 UTC
Created attachment 218863 [details]
patch with MATSTER_SITES specified as requested.

This time it build and has been poudiere testport(ed) on 11.4 and 12.1 let me know
Comment 11 commit-hook freebsd_committer 2020-10-18 17:24:42 UTC
A commit references this bug:

Author: fernape
Date: Sun Oct 18 17:24:35 UTC 2020
New revision: 552673
URL: https://svnweb.freebsd.org/changeset/ports/552673

Log:
  sysutils/restic: Update to 0.10.0

  ChangeLog:
  https://github.com/restic/restic/releases/download/v0.10.0/restic-0.10.0.tar.gz

  * Fix: Report correct number of directories processed by backup
  * Fix: Fix tar issues when dumping /
  * Fix: Handle format verbs like '%' properly in find output
  * Fix: Do not hang when run as a background job
  * Fix: Fix mangled json output of backup command
  * Fix: Refresh lock timestamp
  * Fix: Backup --json reports total_bytes_processed as 0
  * Fix: Fix incorrect bytes stats in diff command
  * Fix: Do not crash with Synology NAS sftp server
  * Fix: Fix incorrect size calculation in stats --mode restore-size
  * Fix: Fix incorrect file counts in stats --mode restore-size
  * Fix: SFTP backend supports IPv6 addresses
  * Fix: Honor RESTIC_CACHE_DIR environment variable on Mac and Windows
  * Fix: Don't abort the stats command when data blobs are missing
  * Fix: Add stricter prune error checks
  * Fix: Fix possible crash in the progress bar of check --read-data
  * Chg: Remove vendored dependencies
  * Chg: Return exit code 3 when failing to backup all source data
  * Chg: Update dependencies, require Go >= 1.13
  * Chg: Honor the --no-lock flag in the mount command
  * Enh: Support specifying multiple host flags for various commands
  * Enh: Optimize restic mount
  * Enh: Display snapshot date when using restic find
  * Enh: Allow specifying user and host when creating keys

  PR:	249485
  Submitted by:	massimo@datacode.it
  Approved by:	gregf@hugops.pw (maintainer, timeout > 1 month)
  MFH:	2020Q4 (blanket, bug fixes)

Changes:
  head/sysutils/restic/Makefile
  head/sysutils/restic/distinfo
  head/sysutils/restic/pkg-plist
Comment 12 commit-hook freebsd_committer 2020-10-18 17:27:43 UTC
A commit references this bug:

Author: fernape
Date: Sun Oct 18 17:26:42 UTC 2020
New revision: 552674
URL: https://svnweb.freebsd.org/changeset/ports/552674

Log:
  MFH: r552673

  sysutils/restic: Update to 0.10.0

  ChangeLog:
  https://github.com/restic/restic/releases/download/v0.10.0/restic-0.10.0.tar.gz

  * Fix: Report correct number of directories processed by backup
  * Fix: Fix tar issues when dumping /
  * Fix: Handle format verbs like '%' properly in find output
  * Fix: Do not hang when run as a background job
  * Fix: Fix mangled json output of backup command
  * Fix: Refresh lock timestamp
  * Fix: Backup --json reports total_bytes_processed as 0
  * Fix: Fix incorrect bytes stats in diff command
  * Fix: Do not crash with Synology NAS sftp server
  * Fix: Fix incorrect size calculation in stats --mode restore-size
  * Fix: Fix incorrect file counts in stats --mode restore-size
  * Fix: SFTP backend supports IPv6 addresses
  * Fix: Honor RESTIC_CACHE_DIR environment variable on Mac and Windows
  * Fix: Don't abort the stats command when data blobs are missing
  * Fix: Add stricter prune error checks
  * Fix: Fix possible crash in the progress bar of check --read-data
  * Chg: Remove vendored dependencies
  * Chg: Return exit code 3 when failing to backup all source data
  * Chg: Update dependencies, require Go >= 1.13
  * Chg: Honor the --no-lock flag in the mount command
  * Enh: Support specifying multiple host flags for various commands
  * Enh: Optimize restic mount
  * Enh: Display snapshot date when using restic find
  * Enh: Allow specifying user and host when creating keys

  PR:	249485
  Submitted by:	massimo@datacode.it
  Approved by:	gregf@hugops.pw (maintainer, timeout > 1 month)

  Approved by:	ports-secteam (blanket, bug fixes)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/sysutils/restic/Makefile
  branches/2020Q4/sysutils/restic/distinfo
  branches/2020Q4/sysutils/restic/pkg-plist
Comment 13 Fernando Apesteguía freebsd_committer 2020-10-18 17:28:31 UTC
Committed with minor changes:

* GH_TUPLE should appear earlier and there is no need to have a blank line starting the list.

* post-extract should appear earlier too.

Thanks a lot for your work!
Comment 14 Massimo Lusetti 2020-10-18 19:37:06 UTC
(In reply to Fernando Apesteguía from comment #13)

Thank you for committing and backporting to 2020Q4!